
Ryzom - Bug # 1174

Status: Closed Priority: Normal
Author: velogfx Category: OS: Mac
Created: 11/08/2010 Assignee: rti
Updated: 01/08/2011 Due date:
Subject: Mac - Alpha Build - Mouse Behavior
Description

When pressing left mouse button and rotating the camera, i can't rotate the camera within 360°. when the invisible cursor hits the
border of my screen, rotation stops.
same thing with character movement.

History
#1 - 11/08/2010 08:39 pm - kervala

Under Windows and Linux, we handled that in CDriverGL::setCapture (bool b). Mouse can't exit from window when captured :)

#2 - 11/09/2010 11:11 pm - rti
- Status changed from New to Validated

This is only happening in windowed mode if the window does not fill the whole screen.
If the mouse leaves the window, cocoa reports mouse positions outside [0,1], 
I am simply dropping them which I should not do :)

#3 - 11/10/2010 09:30 pm - rti

caused by the same code part: 
if you start dragging the mouse inside the window, drag outside the window, release the mouse button, nel does not receive the release event.

#4 - 11/15/2010 10:24 am - rti
- Status changed from Validated to Resolved
- % Done changed from 0 to 100

Applied in changeset r1136.

#5 - 11/15/2010 01:17 pm - velogfx

on mac, build r1137: if you start dragging game window, in-game camera is rotating

#6 - 11/15/2010 10:40 pm - velogfx

on mac, build r1137: if you left click to rotate camera, drag your invisible mouse outside the client window and then press right klick to run, you perform
rightclick outside the client window.
#7 - 11/15/2010 10:45 pm - rti
- Status changed from Resolved to Assigned
- % Done changed from 100 to 70

#8 - 12/12/2010 03:59 am - rti
- Status changed from Assigned to Resolved
- % Done changed from 70 to 100

Applied in changeset r1227.

#9 - 12/12/2010 04:03 am - rti
- Target version set to Version 0.8.0

#10 - 01/08/2011 06:41 pm - rti
- Status changed from Resolved to Closed
